[ovs-dev] [PATCH 1/2] cgcc: gendeps for -MM, -MD & -MMD too

Luc Van Oostenryck luc.vanoostenryck at gmail.com
Wed Sep 25 22:24:56 UTC 2019


On Wed, Apr 24, 2019 at 04:12:32PM +0300, Ilya Maximets wrote:
> On 20.02.2019 16:34, Luc Van Oostenryck wrote:
> > These flags must set '$gendeps', just like a plain '-M' do,
> > since they implies '-M'.
> > 
> > Signed-off-by: Luc Van Oostenryck <luc.vanoostenryck at gmail.com>
> > ---
> 
> Hi.
> 
> Unlike simple '-M', '-MD' and '-MMD' doesn't imply '-E'. And according
> to man: "Since -E is not implied, -MD can be used to generate a
> dependency output file as a side-effect of the compilation process."

Yes, this should be fixed now in sparse's repository.
Thanks and sorry for this huge delay.

-- Luc Van Oostenryck 


More information about the dev mailing list